explain_setgroups_or_die(3)

NAME
explain_setgroups_or_die - set supplementary group IDs and report errors
    "set list of supplementary group IDs and report errors"

SYNOPSIS
#include <libexplain/setgroups.h>

void explain_setgroups_or_die(size_t data_size, const gid_t *data);
int explain_setgroups_on_error(size_t data_size, const gid_t *data);

DESCRIPTION
The explain_setgroups_or_die function is used to call the setgroups(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setgroups(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setgroups_on_error function is used to call the setgroups(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setgroups(3) function, but still returns to the caller.

data_size
    The data_size, exactly as to be passed to the setgroups(2) system call.

data
    The data, exactly as to be passed to the setgroups(2) system call.

RETURN VALUE
The explain_setgroups_or_die function only returns on success, see setgroups(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setgroups_on_error function always returns the value return by the wrapped setgroups(2) system call.

EXAMPLE
The explain_setgroups_or_die function is intended to be used in a fashion similar to the following example:
    explain_setgroups_or_die(data_size, data);

SEE ALSO

setgroups(2)
    get/set list of supplementary group IDs

explain_setgroups(3)
    explain setgroups(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller